Bug 1014357 - U+266B incorrect glyph with extra beam
Summary: U+266B incorrect glyph with extra beam
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-01 19:36 UTC by Fabian Greffrath
Modified: 2019-04-13 00:04 UTC (History)
5 users (show)

Fixed In Version: liberation-fonts-2.00.5-1.fc30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:04:56 UTC


Attachments (Terms of Use)

Description Fabian Greffrath 2013-10-01 19:36:24 UTC
Originally reported as Debian #724839 [1] by Drake Wilson:

"
Using gucharmap 1:3.8.2-2 to view Liberation Serif characters with "Show only
glyphs from this font" enabled, the glyph for U+266B BEAMED EIGHTH NOTES shows
what is clearly beamed sixteenth notes instead; it should have only one beam
rather than two.  FontForge confirms this after opening
LiberationSerif-Regular.ttf with SHA-256 =
ea76595ed32ec4bb117fc715e393b4cca3d42cabe53101baec6bbbeb800fa26a.

The glyph for U+266C BEAMED SIXTEENTH NOTES is correct.
"

The bug has been reported against version 2.00.1, ut I have checked with 1.07.3 and it is also present in this version.

Best regards,

Fabian


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=724839

Comment 1 Pravin Satpute 2013-12-02 15:49:06 UTC
Thanks for reporting this.
Same problem was present in Sans, Mono and SansNarrow as well.

I have presently fixed this in 1.07.3 master upstream, it will be available with next release.

Comment 2 Jaroslav Reznik 2015-03-03 17:10:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 10:27:25 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Pravin Satpute 2016-07-19 11:18:03 UTC
I have to work on Liberation fonts soon and want to fix all open issues. This one is also important so reopening.

Comment 5 Fedora End Of Life 2017-07-25 18:35:40 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 11:43:36 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Pravin Satpute 2018-02-22 09:12:34 UTC
This issue is not fixed in Liberation 2.00.1 moving to rawhide.

Comment 8 Jan Kurik 2018-08-14 11:09:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Fedora Update System 2019-04-09 05:30:32 UTC
liberation-fonts-2.00.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c695290fda

Comment 10 Fedora Update System 2019-04-10 14:37:17 UTC
liberation-fonts-2.00.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c695290fda

Comment 11 Fedora Update System 2019-04-13 00:04:56 UTC
liberation-fonts-2.00.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.